VisualEditor: Cannot save the content in test2 and mediawiki environment (Parsoid Vanish connexions limit too low?)
Closed, ResolvedPublic

Description

Environment:test 2
SamplePage:
OS:MAC OS X 10.8.5


Version: unspecified
Severity: normal

bzimport added a project: VisualEditor-MediaWiki.Via ConduitNov 22 2014, 2:20 AM
bzimport set Reference to bz57202.
Ryasmeen created this task.Via LegacyNov 18 2013, 5:57 PM
Ryasmeen added a comment.Via ConduitNov 18 2013, 6:01 PM

Steps to reproduce:

1.Attempt to modify any content on any page in test2 environment .
2.Click the Save button

Observed Result:
The spinner for saving continues for a long time but the content does not get saved .And "An error occurred" message appeared on the dialogue box
See the screenshot attached

Browser:Chrome Version 26.0.1410.65
and FF 25

Ryasmeen added a comment.Via ConduitNov 18 2013, 6:08 PM

Created attachment 13825
Screenshot of the error

Attached:

GWicke added a comment.Via ConduitNov 18 2013, 10:10 PM

Any errors in the JS console?

Ryasmeen added a comment.Via ConduitNov 18 2013, 10:15 PM

I am not getting this issue anymore.The new page creation and content saving both are working now.

Ryasmeen added a comment.Via ConduitNov 18 2013, 10:44 PM

Happened again on test2 . No errors in the JS console.On the dialog box there was a message:Error: Error contacting the Parsoid server

GWicke added a comment.Via ConduitNov 18 2013, 11:11 PM

That might be a different issue, possibly with the parsoid service setup used by test2. AFAIK it is not using the Parsoid production cluster. The QA folks have been working on this recently and would know more.

Cmcmahon added a comment.Via ConduitNov 18 2013, 11:19 PM

To the best of my knowledge, test2 and mediawiki.org are using the production Parsoid instance. Please let us know if that is not the case.

Elitre added a comment.Via ConduitNov 18 2013, 11:20 PM

I got the Parsoid server message as well a few minutes ago on that page.
Then I tried again (from Opera, unlogged, then from FF and Chrome while logged in) and it just saved. :/

Ryasmeen added a comment.Via ConduitNov 18 2013, 11:24 PM

I just got this error on production too.

Ryasmeen added a comment.Via ConduitNov 19 2013, 4:00 AM

After the fix,I am not getting that error message.
However, after keeping the editor for a long time and then attempting to save the content gives the following js error.

Uncaught TypeError: Cannot read property 'saveRetries' of undefined
(anonymous function)
fire load.php:12
self.fireWith load.php:14
self.fire load.php:14
(anonymous function)
fire load.php:12
self.fireWith load.php:14
done load.php:119
callback

Assuming it as a separate issue?

Ryasmeen added a comment.Via ConduitNov 19 2013, 4:01 AM

After keeping the editor open for long time*(In reply to comment #11)

After the fix,I am not getting that error message.
However, after keeping the editor for a long time and then attempting to save
the content gives the following js error.

Uncaught TypeError: Cannot read property 'saveRetries' of undefined
(anonymous function)
fire load.php:12
self.fireWith load.php:14
self.fire load.php:14
(anonymous function)
fire load.php:12
self.fireWith load.php:14
done load.php:119
callback

Assuming it as a separate issue?

Jdforrester-WMF added a comment.Via ConduitNov 19 2013, 6:12 AM

(In reply to comment #11)

After the fix,I am not getting that error message.
However, after keeping the editor for a long time and then attempting to save
the content gives the following js error.

Uncaught TypeError: Cannot read property 'saveRetries' of undefined
(anonymous function)
fire load.php:12
self.fireWith load.php:14
self.fire load.php:14
(anonymous function)
fire load.php:12
self.fireWith load.php:14
done load.php:119
callback

Assuming it as a separate issue?

Yes, that's distinct; marking this as FIXED, but please re-open if it re-occurs.

Ryasmeen added a comment.Via ConduitNov 20 2013, 6:04 PM

Verified this issue.
Created a separate ticket for idle time issue:https://bugzilla.wikimedia.org/show_bug.cgi?id=57314

GWicke added a comment.Via ConduitNov 25 2013, 10:58 PM
  • Bug 57194 has been marked as a duplicate of this bug. ***

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.